Bug 129448 - loader(8) manpage typo: two init_script listings, the second one should be init_shell
Summary: loader(8) manpage typo: two init_script listings, the second one should be in...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Daniel Gerzo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-06 03:20 UTC by Kenyon Ralph
Modified: 2008-12-29 00:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenyon Ralph 2008-12-06 03:20:01 UTC
See http://www.freebsd.org/cgi/man.cgi?query=loader&manpath=FreeBSD+8-current

In the BUILTIN ENVIRONMENT VARIABLES section, init_script is listed twice. The second one should be init_shell. See also /boot/defaults/loader.conf to verify.

Fix: 

Replace second init_script with init_shell.
Comment 1 Daniel Gerzo freebsd_committer 2008-12-06 11:15:46 UTC
Responsible Changed
From-To: freebsd-doc->danger

Take
Comment 2 Daniel Gerzo freebsd_committer 2008-12-06 11:21:19 UTC
State Changed
From-To: open->patched

fixed in -HEAD. Thank you for your submission, good catch!
Comment 3 dfilter service freebsd_committer 2008-12-28 23:47:52 UTC
Author: danger (doc committer)
Date: Sun Dec 28 23:47:32 2008
New Revision: 186547
URL: http://svn.freebsd.org/changeset/base/186547

Log:
  MFC r185692:
  - correct variable name
  
  PR:		docs/129448
  Submitted by:	Kenyon Ralph <kralph@gmail.com>
  Approved by:	re@ (kensmith)

Modified:
  stable/7/sys/   (props changed)
  stable/7/sys/boot/common/loader.8
  stable/7/sys/contrib/pf/   (props changed)
  stable/7/sys/dev/cxgb/   (props changed)

Modified: stable/7/sys/boot/common/loader.8
==============================================================================
--- stable/7/sys/boot/common/loader.8	Sun Dec 28 22:52:07 2008	(r186546)
+++ stable/7/sys/boot/common/loader.8	Sun Dec 28 23:47:32 2008	(r186547)
@@ -454,7 +454,7 @@ if the script terminates with a non-zero
 or if a SIGTERM is delivered to the
 .Xr init 8
 process (PID 1).
-.It Va init_script
+.It Va init_shell
 Defines the shell binary to be used for executing the various shell scripts.
 The default is
 .Dq Li /bin/sh .
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 4 Daniel Gerzo freebsd_committer 2008-12-28 23:50:18 UTC
State Changed
From-To: patched->closed

- MFC'ed both to releng/7.1 and stable/7
Comment 5 dfilter service freebsd_committer 2008-12-28 23:50:20 UTC
Author: danger (doc committer)
Date: Sun Dec 28 23:50:05 2008
New Revision: 186548
URL: http://svn.freebsd.org/changeset/base/186548

Log:
  MFC r185692
  - correct variable name
  
  PR:		docs/129448
  Submitted by:	Kenyon Ralph <kralph@gmail.com>
  Approved by:	re@ (kensmith)

Modified:
  releng/7.1/sys/   (props changed)
  releng/7.1/sys/boot/common/loader.8
  releng/7.1/sys/contrib/pf/   (props changed)
  releng/7.1/sys/dev/cxgb/   (props changed)
  releng/7.1/sys/modules/cxgb/   (props changed)

Modified: releng/7.1/sys/boot/common/loader.8
==============================================================================
--- releng/7.1/sys/boot/common/loader.8	Sun Dec 28 23:47:32 2008	(r186547)
+++ releng/7.1/sys/boot/common/loader.8	Sun Dec 28 23:50:05 2008	(r186548)
@@ -454,7 +454,7 @@ if the script terminates with a non-zero
 or if a SIGTERM is delivered to the
 .Xr init 8
 process (PID 1).
-.It Va init_script
+.It Va init_shell
 Defines the shell binary to be used for executing the various shell scripts.
 The default is
 .Dq Li /bin/sh .
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"